Pbmtog3 User Manual(0)

NAME
pbmtog3 - convert a PBM image into a Group 3 MH fax file

SYNOPSIS
pbmtog3 [-reversebits] [-nofixedwidth] [-align8|-align16] [pbmfile]

DESCRIPTION

This program is part of Netpbm(1) .

pbmtog3 reads a PBM image as input and produces a Group 3 MH fax file as output.

You can also generate a TIFF file that uses the same encoding inside, with pamtotiff.

There is no program in Netpbm that generates other fax formats, such as MR and MMR, but pamtotiff can generate TIFF files that use those encodings.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), pbmtog3 recognizes the following command line options:

-reversebits
    This option causes the output to have the bits in every byte reversed so the least significant bit becomes the most significant bit. Some fax modems expect bits in reverse order, and this compensates for that. If you get a whole bunch of "bad code word" messages when you try to read the G3 file (e.g. with g3topbm), try using this option. Note that the output is not G3 when you use this option.

-nofixedwidth
    Most fax machines expect the image to be 1728 columns wide, so pbmtog3 cuts the output to this width by default. If you want to keep the width of the original image, use this option.

    This option was new in Netpbm 10.6 (July 2002). Before that, pbmtog3 always kept the width of the original image.

-align8

-align16
    These options say to align output rows to 8-bit or 16-bit boundaries, respectively, by adding padding bits in front of EOL codes

    Without these options, pbmtog3 adds no padding and rows may begin and ends anywhere within a byte.

    You cannot specify both.

    These options were new in Netpbm 10.79 (June 2017).

SEE ALSO
g3topbm(1) , pamtotiff(1) , pbm(1) , fax formats(1)

HISTORY

Before Netpbm 10.79 (June 2017), there was a different program by the same name in Netpbm, which was written by Paul Haeberli <paul@manray.sgi.com> in 1989 and then modified extensively by others.

Akira Urushibata <afu@wta.att.ne.jp> wrote the current version, with an entirely different algorithm, in April 2017 and contributed his work to the public domain.

The current program is backward compatible with the pre-10.79 version.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pbmtog3.html